<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:18 PST 2021 -->
<title>Generator.HashComparator (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Generator.HashComparator (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Generator.HashComparator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/crawl/Generator.DecreasingFloatComparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/crawl/Generator.PartitionReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/Generator.HashComparator.html" target="_top">Frames</a></li>
<li><a href="Generator.HashComparator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.crawl</div>
<h2 title="Class Generator.HashComparator" class="title">Class Generator.HashComparator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">org.apache.hadoop.io.WritableComparator</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.crawl.Generator.HashComparator</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true" title="class or interface in java.util">Comparator</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/RawComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">RawComparator</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../org/apache/nutch/crawl/Generator.html" title="class in org.apache.nutch.crawl">Generator</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">Generator.HashComparator</span>
extends <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparator</a></pre>
<div class="block">Sort fetch lists by hash of URL.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/Generator.HashComparator.html#HashComparator--">HashComparator</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/Generator.HashComparator.html#compare-byte:A-int-int-byte:A-int-int-">compare</a></span>(byte[]&nbsp;b1,
       int&nbsp;s1,
       int&nbsp;l1,
       byte[]&nbsp;b2,
       int&nbsp;s2,
       int&nbsp;l2)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/crawl/Generator.HashComparator.html#compare-org.apache.hadoop.io.WritableComparable-org.apache.hadoop.io.WritableComparable-">compare</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&nbsp;a,
       <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.hadoop.io.WritableComparator">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparator</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#compare-java.lang.Object-java.lang.Object-" title="class or interface in org.apache.hadoop.io">compare</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#compareBytes-byte:A-int-int-byte:A-int-int-" title="class or interface in org.apache.hadoop.io">compareBytes</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#define-java.lang.Class-org.apache.hadoop.io.WritableComparator-" title="class or interface in org.apache.hadoop.io">define</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#get-java.lang.Class-" title="class or interface in org.apache.hadoop.io">get</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#get-java.lang.Class-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.io">get</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#getConf--" title="class or interface in org.apache.hadoop.io">getConf</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#getKeyClass--" title="class or interface in org.apache.hadoop.io">getKeyClass</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#hashBytes-byte:A-int-" title="class or interface in org.apache.hadoop.io">hashBytes</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#hashBytes-byte:A-int-int-" title="class or interface in org.apache.hadoop.io">hashBytes</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#newKey--" title="class or interface in org.apache.hadoop.io">newKey</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readDouble-byte:A-int-" title="class or interface in org.apache.hadoop.io">readDouble</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readFloat-byte:A-int-" title="class or interface in org.apache.hadoop.io">readFloat</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readInt-byte:A-int-" title="class or interface in org.apache.hadoop.io">readInt</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readLong-byte:A-int-" title="class or interface in org.apache.hadoop.io">readLong</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readUnsignedShort-byte:A-int-" title="class or interface in org.apache.hadoop.io">readUnsignedShort</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readVInt-byte:A-int-" title="class or interface in org.apache.hadoop.io">readVInt</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#readVLong-byte:A-int-" title="class or interface in org.apache.hadoop.io">readVLong</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.io">setConf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Comparator">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true" title="class or interface in java.util">Comparator</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#comparing-java.util.function.Function-" title="class or interface in java.util">comparing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#comparing-java.util.function.Function-java.util.Comparator-" title="class or interface in java.util">comparing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#comparingDouble-java.util.function.ToDoubleFunction-" title="class or interface in java.util">comparingDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#comparingInt-java.util.function.ToIntFunction-" title="class or interface in java.util">comparingInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#comparingLong-java.util.function.ToLongFunction-" title="class or interface in java.util">comparingLong</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#naturalOrder--" title="class or interface in java.util">naturalOrder</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#nullsFirst-java.util.Comparator-" title="class or interface in java.util">nullsFirst</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#nullsLast-java.util.Comparator-" title="class or interface in java.util">nullsLast</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#reversed--" title="class or interface in java.util">reversed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#reverseOrder--" title="class or interface in java.util">reverseOrder</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#thenComparing-java.util.Comparator-" title="class or interface in java.util">thenComparing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#thenComparing-java.util.function.Function-" title="class or interface in java.util">thenComparing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#thenComparing-java.util.function.Function-java.util.Comparator-" title="class or interface in java.util">thenComparing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#thenComparingDouble-java.util.function.ToDoubleFunction-" title="class or interface in java.util">thenComparingDouble</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#thenComparingInt-java.util.function.ToIntFunction-" title="class or interface in java.util">thenComparingInt</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Comparator.html?is-external=true#thenComparingLong-java.util.function.ToLongFunction-" title="class or interface in java.util">thenComparingLong</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HashComparator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HashComparator</h4>
<pre>public&nbsp;HashComparator()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="compare-org.apache.hadoop.io.WritableComparable-org.apache.hadoop.io.WritableComparable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compare</h4>
<pre>public&nbsp;int&nbsp;compare(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&nbsp;a,
                   <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparable.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparable</a>&nbsp;b)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#compare-org.apache.hadoop.io.WritableComparable-org.apache.hadoop.io.WritableComparable-" title="class or interface in org.apache.hadoop.io">compare</a></code>&nbsp;in class&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparator</a></code></dd>
</dl>
</li>
</ul>
<a name="compare-byte:A-int-int-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>compare</h4>
<pre>public&nbsp;int&nbsp;compare(byte[]&nbsp;b1,
                   int&nbsp;s1,
                   int&nbsp;l1,
                   byte[]&nbsp;b2,
                   int&nbsp;s2,
                   int&nbsp;l2)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/RawComparator.html?is-external=true#compare-byte:A-int-int-byte:A-int-int-" title="class or interface in org.apache.hadoop.io">compare</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/RawComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">RawComparator</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true#compare-byte:A-int-int-byte:A-int-int-" title="class or interface in org.apache.hadoop.io">compare</a></code>&nbsp;in class&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/WritableComparator.html?is-external=true" title="class or interface in org.apache.hadoop.io">WritableComparator</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Generator.HashComparator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/crawl/Generator.DecreasingFloatComparator.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/crawl/Generator.PartitionReducer.html" title="class in org.apache.nutch.crawl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/Generator.HashComparator.html" target="_top">Frames</a></li>
<li><a href="Generator.HashComparator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
